Subject: Re: boot/simple in ROM?

From: Kent Borg <[email-masked]>
Date: Thu, 24 Apr 2003 15:15:31 -0400

On Thu, Apr 24, 2003 at 11:06:32AM -0700, Kerl, John wrote:
> I based mine off boot/simple.  It runs fine from ROM.
>
> Suppose for example I have 32MB SDRAM from 0x00000000
> to 0x01ffffff, and 16MB flash from 0xff000000 to 0xffffffff.
> The key is that arch/ppc/boot/ld.script, and

...suddenly I GET it!  I was being too clever and trying to link for
my ROM address, and of course that will put the stack and bss in ROM.
Duh.

When I simply burn my 0x800000 RAM image at 0xfec00000 the bss and
stack are still down in 0x800000-range, and it works great.

Thanks to all for having such patience,

-kb, the Kent who is glad he didn't ask such a question on, say, the
qmail list.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/